Bug 1957009

Summary: [abrt] __flush_work: WARNING: CPU: 0 PID: 113 at kernel/workqueue.c:2613 check_flush_dependency+0x10a/0x120
Product: [Fedora] Fedora Reporter: ali.sherif10
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: NEW --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: acaringi, adscvr, airlied, alciregi, alibasher2000.16.11, bskeggs, hdegoede, jarodwilson, jeremy, jglisse, jonathan, josef, kernel-maint, lgoncalv, linville, masami256, mchehab, ptalbert, steved
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/7bdaeb65fa302a86c91df34c8720cc53ef142b9a
Whiteboard: abrt_hash:12ad001c9df556dc21e95116622734266a6d7672;VARIANT_ID=workstation;
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description ali.sherif10 2021-05-04 20:25:36 UTC
Description of problem:
Everytime I open Steam or OpenRA (Both from FlatHub), glitches and bug appear. Sometimes, terminal UI appears.

Perhaps, it appeared since an update to fedora-logos. Before this update, I opened Steam without problems though it was long time ago.

I found about the crash, after restarting from terminal UI.

Additional info:
reporter:       libreport-2.14.0
WARNING: CPU: 0 PID: 113 at kernel/workqueue.c:2613 check_flush_dependency+0x10a/0x120
Modules linked in: uinput snd_seq_dummy snd_hrtimer nft_objref nf_conntrack_netbios_ns nf_conntrack_broadcast nft_fib_inet nft_fib_ipv4 nft_fib_ipv6 nft_fib nft_reject_inet nf_reject_ipv4 nf_reject_ipv6 nft_reject nft_ct nft_chain_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 iptable_mangle iptable_raw iptable_security ip_set nf_tables nfnetlink ip6table_filter ip6_tables iptable_filter sunrpc vfat fat uvcvideo videobuf2_vmalloc intel_rapl_msr intel_rapl_common rt2800pci rt2800mmio snd_hda_codec_hdmi videobuf2_memops rt2800lib videobuf2_v4l2 snd_hda_codec_idt snd_hda_codec_generic x86_pkg_temp_thermal ledtrig_audio intel_powerclamp coretemp rt2x00pci snd_hda_intel kvm_intel videobuf2_common snd_intel_dspcfg rt2x00mmio soundwire_intel videodev kvm rt2x00lib soundwire_generic_allocation irqbypass rapl mac80211 intel_cstate mc intel_uncore snd_soc_core at24 snd_compress snd_pcm_dmaengine
 soundwire_cadence iTCO_wdt snd_hda_codec snd_hda_core ac97_bus mei_hdcp snd_hwdep intel_pmc_bxt iTCO_vendor_support hp_wmi cfg80211 snd_seq eeprom_93cx6 sparse_keymap snd_seq_device snd_pcm libarc4 rfkill joydev pcspkr wmi_bmof snd_timer snd hp_accel soundcore mei_me i2c_i801 i2c_smbus hp_wireless lpc_ich mei lis3lv02d zram ip_tables dm_crypt i915 radeon rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel drm_ttm_helper ttm i2c_algo_bit drm_kms_helper ghash_clmulni_intel cec serio_raw drm rndis_host cdc_ether rtsx_pci usbnet r8169 mii wmi video fuse
CPU: 0 PID: 113 Comm: kworker/0:1H Not tainted 5.11.17-300.fc34.x86_64 #1
Hardware name: Hewlett-Packard HP Pavilion g6 Notebook PC/183E, BIOS F.25 05/29/2013
Workqueue: acpi_thermal_pm acpi_thermal_check_fn
RIP: 0010:check_flush_dependency+0x10a/0x120
Code: 4c 24 18 48 8d b2 b0 00 00 00 49 89 e8 48 8d 8b b0 00 00 00 48 c7 c7 98 20 3a 8d c6 05 01 92 c1 01 01 4c 89 ca e8 f5 83 a7 00 <0f> 0b e9 11 ff ff ff 80 3d ec 91 c1 01 00 75 91 e9 43 ff ff ff 90
RSP: 0000:ffffba44c0f4bc80 EFLAGS: 00010082
RAX: 0000000000000072 RBX: ffff8cdb00054e00 RCX: 0000000000000027
RDX: ffff8cdc57218ac8 RSI: 0000000000000001 RDI: ffff8cdc57218ac0
RBP: ffffffff8c0f3c10 R08: 0000000000000000 R09: ffffba44c0f4bab0
R10: ffffba44c0f4baa8 R11: ffffffff8db44f08 R12: ffff8cdb01872f00
R13: ffff8cdb00c84f00 R14: ffff8cdc57269980 R15: ffff8cdb00a22400
FS:  0000000000000000(0000) GS:ffff8cdc57200000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f894f51c000 CR3: 00000001f39ae001 CR4: 00000000001706f0
Call Trace:
 __flush_work.isra.0+0xa8/0x200
 ? __queue_work+0x1d1/0x3e0
 work_on_cpu+0x59/0x70
 ? __traceiter_workqueue_execute_end+0x40/0x40
 ? acpi_processor_set_throttling_fadt+0xd0/0xd0
 __acpi_processor_set_throttling+0x195/0x2a0
 thermal_cdev_update+0x9d/0x180
 step_wise_throttle+0x4a/0x80
 handle_thermal_trip+0xd1/0x260
 thermal_zone_device_update.part.0+0x62/0x110
 acpi_thermal_check_fn+0x38/0x80
 process_one_work+0x1ec/0x380
 worker_thread+0x53/0x3e0
 ? process_one_work+0x380/0x380
 kthread+0x11b/0x140
 ? kthread_associate_blkcg+0xa0/0xa0
 ret_from_fork+0x22/0x30

Comment 1 ali.sherif10 2021-05-04 20:25:48 UTC
Created attachment 1779502 [details]
File: dmesg

Comment 2 ali basher 2021-05-18 14:11:13 UTC
*** Bug 1961699 has been marked as a duplicate of this bug. ***